#if !defined(AFX_TBDLG_H__CC53DE2B_8820_400F_A191_F7C11F6BFA17__INCLUDED_)
#define AFX_TBDLG_H__CC53DE2B_8820_400F_A191_F7C11F6BFA17__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TbDlg.h : header file
//

#include "toolbar.h"

/////////////////////////////////////////////////////////////////////////////
// CTbDlg dialog

class CTbDlg : public CDialog
{
// Construction
public:
	CTbDlg(CWnd* pParent = NULL);   // standard constructor
	virtual  ~CTbDlg();

// Dialog Data
	//{{AFX_DATA(CTbDlg)
	enum { IDD = IDD_CUSTOMIZE_TOOLBAR_DLG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	CComboBox	m_cbToolbars;
	CStatic	   m_controlsFrame;
	CString	   m_strToolTip;
	int		   m_ncbIndex;
public:
   //
   // Add Toolbar ID's
   //
   void  AddToolbarID(UINT nToolbarID,UINT nToolbarIDW);
   //
   // Toolbar take ownership and destroy....
   //
   CToolBarButton*   AddButton(CToolBarButton* pButton);
   CToolBarButton*   AddButton(int    commandID   ,
                               int    index       = -1 ,   // lo cerca...
                               UINT   nBitmapID   = 0  ,  // bitmap ID ( 0 is native...)
                               int    nImage      = -1 ,
                               UINT   nMenuID     = 0  );
   //
   CToolBarEditButton*  AddEdit(  int     commandID         ,  // command id
                                  int    index       = -1   ,  // lo cerca...
                                  int  width=50             ,  //
                                  LONG style=ES_AUTOHSCROLL );
   //
   CToolBarComboBoxButton* AddCombo(int  commandID      ,  // command id
                                    int  index = -1     ,  // index on toolbar...
                                    int  width = 50     ,
                                    int  height = 120   ,
                                    LONG style = CBS_DROPDOWNLIST | WS_VSCROLL);
   //
   CToolBarProgressButton* AddProgress(int  commandID      ,
                                       int  index = -1     ,
                                       int  iWidth = 0     ,
                                       int  nLower = 0     ,
                                       int  nUpper = 100   ,
                                       int  nStep = 1      );
   //
   // Run...
   //
   BOOL  DoCustomize(); // Call this (to create & show...) and after...
   BOOL  WaitMy();      // while( WaitMy() );
   //
protected:
   //
   enum  {  MaxToolbars          = 30,
            MaxToolbarCommands   = 100 };
   //
   CImageList* m_pCurrentImageList;    // la lista delle icone...
   //
   UINT        m_nToolbarsCount;
   UINT        m_nToolbarsID[MaxToolbars];      // ID della ToolBar (risorsa)
   UINT        m_nToolbarsIDW[MaxToolbars];     // ID della ToolBar (Window)
   CString     m_strToolbarsID[MaxToolbars];
   //
   int         m_nCurrentToolbar;
   //
   int         m_nCommands;
   int         m_nCommandsID[MaxToolbarCommands];
   //
   CToolBarButtonList   m_ctrlList;
   //
   CRect       m_rcFrame;
   BOOL        m_bContinue;
	int         m_nIDClipFormat;
   CSize       m_sizeIcon;

protected:
   void     SetImageList(UINT nToolbarID);
   void     GetItemRect(int nImageCount,CRect &rc);
   int      HitImage(CPoint pt,CRect &rcImage);
   void     Close();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTbDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	virtual void OnCancel();
	// Generated message map functions
	//{{AFX_MSG(CTbDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnPaint();
	afx_msg void OnSelchangeCombo();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TBDLG_H__CC53DE2B_8820_400F_A191_F7C11F6BFA17__INCLUDED_)
